<?php

namespace Laravel\Laravel;

use DB;
use Illuminate\Database\Seeder;

class AddadminTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('addadmins')->insert([
            [
                "Name"                => 'gffdhtghg',
                "Email"               => 'ergtrghtgfh',
                "Password"            => 'dfgdgdfg',
            ],
            [
                "Name"                => 'gffdhtghg',
                "Email"               => 'ergtrghtgfh',
                "Password"            => 'dfgdgdfg',
            ],
            [
                "Name"                => 'gffdhtghg',
                "Email"               => 'ergtrghtgfh',
                "Password"            => 'dfgdgdfg',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'laravel.addadmin.view',
                'name'      => 'View Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.create',
                'name'      => 'Create Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.edit',
                'name'      => 'Update Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.delete',
                'name'      => 'Delete Addadmin',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'laravel.addadmin.verify',
                'name'      => 'Verify Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.approve',
                'name'      => 'Approve Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.publish',
                'name'      => 'Publish Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.unpublish',
                'name'      => 'Unpublish Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.cancel',
                'name'      => 'Cancel Addadmin',
            ],
            [
                'slug'      => 'laravel.addadmin.archive',
                'name'      => 'Archive Addadmin',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/laravel/addadmin',
                'name'        => 'Addadmin',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/laravel/addadmin',
                'name'        => 'Addadmin',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'addadmin',
                'name'        => 'Addadmin',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Laravel',
                'module'    => 'Addadmin',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'laravel.addadmin.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
