<?php

namespace Laravel\Laravel\Repositories\Eloquent;

use Laravel\Laravel\Interfaces\AddadminRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AddadminRepository extends BaseRepository implements AddadminRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('laravel.laravel.addadmin.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('laravel.laravel.addadmin.model.model');
    }
}
